
CoCoALib - Design #1213

Create PolyOps-RingElem?

06 Aug 2018 15:18 - John Abbott

Status: New Start date: 06 Aug 2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.25 hour

Description

Consider creating a new file PolyOps-RingElem to contain all functions on ringelems which belong to a polyring.

Related issues:

Related to CoCoALib - Design #1177: File names: use "SparsePolyOps" prefix fo... Closed 06 Apr 2018

History

#1 - 06 Aug 2018 15:20 - John Abbott

We should also check whether there are functions in SparsePolyOps-RingElem which should be moved here.

The main point is that SparsePolyOps-RingElem should contain only those fns relevant just to SPARSE polys; a fn which is also relevant to dense

univariate polys should be in PolyOps-RingElem.

#2 - 06 Aug 2018 15:20 - John Abbott

- Related to Design #1177: File names: use "SparsePolyOps" prefix for pertinent files added

#3 - 01 Oct 2019 12:18 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#4 - 18 Jan 2020 20:12 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#5 - 03 Nov 2021 16:51 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#6 - 16 Feb 2024 09:48 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
